/* Dog grid spacing */
.col-dog {
  display: flex;
  flex-direction: column;
}
@media screen and (min-width: 737px) {
  .row > .col-dog:nth-child(3n + 1) {
    clear: left;
  }
}
.col-dog .box {
  flex: 1;
  display: flex;
  flex-direction: column;
  padding-top: 0 !important;
  padding-left: 0 !important;
  padding-right: 0 !important;
  padding-bottom: 0 !important;
}

.col-dog .box > header,
.col-dog .box > p {
  padding-left: 1.75em;
  padding-right: 1.75em;
}

.col-dog .box footer {
  margin-top: 1em;
  padding-left: 1.75em;
  padding-right: 1.75em;
}

.col-dog .box footer:first-of-type {
  margin-top: auto;
}

.col-dog .box footer:last-child {
  padding-bottom: 2.75em;
}

@media screen and (max-width: 980px) {
  .col-dog .box > header,
  .col-dog .box > p {
    padding-left: 15px;
    padding-right: 15px;
  }

  .col-dog .box footer {
    padding-left: 15px;
    padding-right: 15px;
  }

  .col-dog .box footer:last-child {
    padding-bottom: 20px;
  }
}

.col-dog .box .image.fit {
  display: block;
  margin: 0;
  width: 100%;
}
.col-dog .box .image.fit img {
  width: 100%;
  display: block;
}

/* Card Accordion Styles */
.col-dog .box .card-accordion details > summary {
  list-style: none; /* Hide default triangle */
  text-align: left;
  box-sizing: border-box;
}

@media screen and (max-width: 736px) {
  .col-dog .box .card-accordion details > summary {
    text-align: center; /* Center the text on mobile like other buttons */
  }
}

.col-dog .box .card-accordion details > summary::-webkit-details-marker {
  display: none; /* Hide default triangle in WebKit */
}

.col-dog .box .card-accordion details[open] > summary span {
  transform: rotate(180deg);
  display: inline-block;
  transition: transform 0.2s ease-in-out;
}

.col-dog .box .card-accordion details > summary span {
  transition: transform 0.2s ease-in-out;
}

.col-dog .box .card-accordion ul li a {
  color: #555;
  transition: color 0.2s ease-in-out;
}

.col-dog .box .card-accordion ul li a:hover {
  color: #001041;
}

/* Dropdown Menu Styles */
#nav > ul > li {
  position: relative;
}

#nav > ul > li > ul {
  display: none;
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  border-radius: 5px;
  background-color: #001041;
  padding: 1.25em 1.5em 1.25em 1.5em;
  min-width: 15em;
  box-shadow: 0px 8px 15px 0px rgba(0, 0, 0, 0.5);
  text-align: left;
  margin-top: 1em;
  z-index: 1000;
  list-style: none;
}

#nav > ul > li > ul::before {
  content: "";
  position: absolute;
  top: -1em;
  left: 0;
  width: 100%;
  height: 1em;
}

#nav > ul > li:hover > ul {
  display: block;
}

#nav > ul > li > ul > li {
  display: block;
  margin: 0;
  padding: 0;
}

#nav > ul > li > ul > li > a {
  color: #aaa;
  text-decoration: none;
  display: block;
  padding: 0.5em 0;
  transition: color 0.25s ease-in-out;
  white-space: nowrap;
}

#nav > ul > li > ul > li > a:hover {
  color: #fff;
}
